Name:          i2c-tools
Version:       4.4
Release:       1mamba
Summary:       A heterogeneous set of I2C tools for Linux
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://git.kernel.org/pub/scm/utils/i2c-tools/i2c-tools.git/
Source:        git://git.kernel.org/pub/scm/utils/i2c-tools/i2c-tools.git/v%{version}/i2c-tools-%{version}.tar.bz2
#Source:        http://dl.lm-sensors.org/i2c-tools/releases/i2c-tools-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      libi2c = %{?epoch:%epoch:}%{version}-%{release}

%description
The i2c-tools package contains a heterogeneous set of I2C tools for Linux: a bus probing tool, a chip dumper, register-level SMBus access helpers, EEPROM decoding scripts, EEPROM programming tools, and a python module for SMBus access.

%package -n libi2c
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libi2c
This package contains shared libraries for %{name}.

%package -n libi2c-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libi2c = %{?epoch:%epoch:}%{version}-%{release}

%description -n libi2c-devel
This package contains development files for %{name}.

%debug_package

%prep
%setup -q

%build
%make PREFIX=%{_prefix} libdir=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall PREFIX=%{_prefix} libdir=%{_libdir}

rm -f %{buildroot}%{_includedir}/linux/i2c-dev.h

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/ddcmon
%{_bindir}/decode-dimms
%{_bindir}/decode-edid
%{_bindir}/decode-vaio
%{_sbindir}/i2c-stub-from-dump
%{_sbindir}/i2cdetect
%{_sbindir}/i2cdump
%{_sbindir}/i2cget
%{_sbindir}/i2cset
%{_sbindir}/i2ctransfer
%{_mandir}/man1/decode-dimms.1*
%{_mandir}/man1/decode-vaio.1*
%{_mandir}/man8/i2c*.8*
#CHANGES README

%files -n libi2c
%defattr(-,root,root)
%{_libdir}/libi2c.so.*
%doc COPYING

%files -n libi2c-devel
%defattr(-,root,root)
%dir %{_includedir}/i2c
%{_includedir}/i2c/smbus.h
%{_libdir}/libi2c.a
%{_libdir}/libi2c.so
%{_mandir}/man3/libi2c.3*

%changelog
* Fri Oct 11 2024 Automatic Build System <autodist@openmamba.org> 4.4-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3-1mamba
- update to 4.3

* Sat Jan 23 2021 Automatic Build System <autodist@mambasoft.it> 4.2-1mamba
- automatic version update by autodist

* Sat Jan 12 2019 Automatic Build System <autodist@mambasoft.it> 4.1-1mamba
- automatic version update by autodist

* Thu Sep 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0-2mamba
- x86_64: fix library path

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0-1mamba
- update to 4.0

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic update by autodist

* Sat Feb 22 2014 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Mon Nov 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.3-1mamba
- package created by autospec
